<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/feedforward neural network/training/keras/example_training_of_ANN.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('example__training__of___a_n_n_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example_training_of_ANN.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceexample__training__of___a_n_n"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html">example_training_of_ANN</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5a506b84657ba0e6d9b5c7e4393b834b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a5a506b84657ba0e6d9b5c7e4393b834b">example_training_of_ANN.problem_name</a> = &quot;peaks&quot;</td></tr>
<tr class="memdesc:a5a506b84657ba0e6d9b5c7e4393b834b"><td class="mdescLeft">&#160;</td><td class="mdescRight">LOAD DATA ############################ enter data set information.  <a href="namespaceexample__training__of___a_n_n.html#a5a506b84657ba0e6d9b5c7e4393b834b">More...</a><br /></td></tr>
<tr class="separator:a5a506b84657ba0e6d9b5c7e4393b834b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68496cf2658f59326ce0eaa492147b4c"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a68496cf2658f59326ce0eaa492147b4c">example_training_of_ANN.filename_data</a> = &quot;./data/peaks.csv&quot;</td></tr>
<tr class="separator:a68496cf2658f59326ce0eaa492147b4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3052dad35217323d66cb34281d6ec2d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#ab3052dad35217323d66cb34281d6ec2d">example_training_of_ANN.input_dim</a> = 2</td></tr>
<tr class="separator:ab3052dad35217323d66cb34281d6ec2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a904fc746111a47b520e007ce718825b9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a904fc746111a47b520e007ce718825b9">example_training_of_ANN.output_dim</a> = 1</td></tr>
<tr class="separator:a904fc746111a47b520e007ce718825b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ecbd03784e099f6e771985c24763267"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a9ecbd03784e099f6e771985c24763267">example_training_of_ANN.scaleInput</a> = True</td></tr>
<tr class="separator:a9ecbd03784e099f6e771985c24763267"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56be88b6f6bbb42fd240f14ed6bb27f0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a56be88b6f6bbb42fd240f14ed6bb27f0">example_training_of_ANN.normalizeOutput</a> = True</td></tr>
<tr class="separator:a56be88b6f6bbb42fd240f14ed6bb27f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8458babf4ad91b3a89d468fe7053e6ac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a8458babf4ad91b3a89d468fe7053e6ac">example_training_of_ANN.data</a> = np.loadtxt(open(filename_data, &quot;rb&quot;), delimiter=&quot;,&quot;)</td></tr>
<tr class="separator:a8458babf4ad91b3a89d468fe7053e6ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a562367a1a30e755e98ec18e7a2bd803e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a562367a1a30e755e98ec18e7a2bd803e">example_training_of_ANN.X</a> = <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>[:, :-output_dim]</td></tr>
<tr class="separator:a562367a1a30e755e98ec18e7a2bd803e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd99c517c4ff09bbd5ec27bc345b9217"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#acd99c517c4ff09bbd5ec27bc345b9217">example_training_of_ANN.y</a> = <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>[:, input_dim:]</td></tr>
<tr class="separator:acd99c517c4ff09bbd5ec27bc345b9217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a599d5f9082b912e006b81a0aa7dff6e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a599d5f9082b912e006b81a0aa7dff6e9">example_training_of_ANN.X_norm</a> = <a class="el" href="namespaceutils.html#af03d2faf46bc38486d5c6ab0c5c85b8f">utils.scale</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>, scaleInput)</td></tr>
<tr class="separator:a599d5f9082b912e006b81a0aa7dff6e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05683bf44708d7dc419461b82774d8ce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a05683bf44708d7dc419461b82774d8ce">example_training_of_ANN.y_norm</a> = <a class="el" href="namespaceutils.html#a7f1d7e10d576b8f5c278b9d248890d29">utils.normalize</a>(y, normalizeOutput)</td></tr>
<tr class="separator:a05683bf44708d7dc419461b82774d8ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eee4c4f7e58c753271cdf5c56d2c33e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a1eee4c4f7e58c753271cdf5c56d2c33e">example_training_of_ANN.x_train</a></td></tr>
<tr class="separator:a1eee4c4f7e58c753271cdf5c56d2c33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1f2b4cebdef724cdc922086b2229d84"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#aa1f2b4cebdef724cdc922086b2229d84">example_training_of_ANN.x_val</a></td></tr>
<tr class="separator:aa1f2b4cebdef724cdc922086b2229d84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7e2f6c357ae3e1780464b8a73747a0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a2b7e2f6c357ae3e1780464b8a73747a0">example_training_of_ANN.y_train</a></td></tr>
<tr class="separator:a2b7e2f6c357ae3e1780464b8a73747a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1504dde7ba7bbbff1c89b5eb696a02a3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a1504dde7ba7bbbff1c89b5eb696a02a3">example_training_of_ANN.y_val</a></td></tr>
<tr class="separator:a1504dde7ba7bbbff1c89b5eb696a02a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91eeff93d1657f994b7c5961a3390467"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a91eeff93d1657f994b7c5961a3390467">example_training_of_ANN.test_size</a></td></tr>
<tr class="separator:a91eeff93d1657f994b7c5961a3390467"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a855c9c6d50d905aa2b8ccef5277900d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a855c9c6d50d905aa2b8ccef5277900d3">example_training_of_ANN.n_train</a> = x_train.shape[0]</td></tr>
<tr class="separator:a855c9c6d50d905aa2b8ccef5277900d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a409cbb39e5a9832a2496f1d3a2655477"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a409cbb39e5a9832a2496f1d3a2655477">example_training_of_ANN.output_folder</a> = &quot;./data/Output/&quot;</td></tr>
<tr class="memdesc:a409cbb39e5a9832a2496f1d3a2655477"><td class="mdescLeft">&#160;</td><td class="mdescRight">SET PARAMETERS ############################ output filename.  <a href="namespaceexample__training__of___a_n_n.html#a409cbb39e5a9832a2496f1d3a2655477">More...</a><br /></td></tr>
<tr class="separator:a409cbb39e5a9832a2496f1d3a2655477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65f8147a83e78317293646a32deab1d0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a65f8147a83e78317293646a32deab1d0">example_training_of_ANN.filename_out</a> = output_folder + problem_name</td></tr>
<tr class="separator:a65f8147a83e78317293646a32deab1d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe3f80d4a81c361aa2b8f1e259242104"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#afe3f80d4a81c361aa2b8f1e259242104">example_training_of_ANN.network_layout</a> = [10, 10]</td></tr>
<tr class="separator:afe3f80d4a81c361aa2b8f1e259242104"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93356b5c6c361877560c5eb533cf5d10"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a93356b5c6c361877560c5eb533cf5d10">example_training_of_ANN.activation_function</a> = 'relu'</td></tr>
<tr class="separator:a93356b5c6c361877560c5eb533cf5d10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ab15903a17cea2a697935c07129f603"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a9ab15903a17cea2a697935c07129f603">example_training_of_ANN.activation_function_out</a> = 'linear'</td></tr>
<tr class="separator:a9ab15903a17cea2a697935c07129f603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae29f3345b07b3f4eeea8904ced69d328"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#ae29f3345b07b3f4eeea8904ced69d328">example_training_of_ANN.learning_rate</a> = 0.001</td></tr>
<tr class="separator:ae29f3345b07b3f4eeea8904ced69d328"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97f8f3e712683c8b4943c459967a8b61"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a97f8f3e712683c8b4943c459967a8b61">example_training_of_ANN.kernel_regularizer</a> = tf.keras.regularizers.l2(l=0.0001)</td></tr>
<tr class="separator:a97f8f3e712683c8b4943c459967a8b61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bc1252f2d0719fdae994c214c30b823"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a8bc1252f2d0719fdae994c214c30b823">example_training_of_ANN.kernel_initializer</a> = 'he_normal'</td></tr>
<tr class="separator:a8bc1252f2d0719fdae994c214c30b823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c550312cb49757629f71e38a5135514"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a0c550312cb49757629f71e38a5135514">example_training_of_ANN.optimizer</a> = 'adam'</td></tr>
<tr class="separator:a0c550312cb49757629f71e38a5135514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bbdf8ad248d120d3bcc3406a886ca91"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a0bbdf8ad248d120d3bcc3406a886ca91">example_training_of_ANN.epochs</a> = 100</td></tr>
<tr class="separator:a0bbdf8ad248d120d3bcc3406a886ca91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaefbb1c2f596a33a3448d86a6019b712"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#aaefbb1c2f596a33a3448d86a6019b712">example_training_of_ANN.batch_size</a> = 128</td></tr>
<tr class="separator:aaefbb1c2f596a33a3448d86a6019b712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29306f247f622fb2c3d9dd48c2e09677"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a29306f247f622fb2c3d9dd48c2e09677">example_training_of_ANN.random_state</a> = 1</td></tr>
<tr class="separator:a29306f247f622fb2c3d9dd48c2e09677"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bbbae070009865252af66d6d76c4ce4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a9bbbae070009865252af66d6d76c4ce4">example_training_of_ANN.model</a> = tf.keras.Sequential()</td></tr>
<tr class="memdesc:a9bbbae070009865252af66d6d76c4ce4"><td class="mdescLeft">&#160;</td><td class="mdescRight">BUILD MODEL ############################.  <a href="namespaceexample__training__of___a_n_n.html#a9bbbae070009865252af66d6d76c4ce4">More...</a><br /></td></tr>
<tr class="separator:a9bbbae070009865252af66d6d76c4ce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a546dd7a827d2accb0396417cde708092"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a546dd7a827d2accb0396417cde708092">example_training_of_ANN.loss</a></td></tr>
<tr class="separator:a546dd7a827d2accb0396417cde708092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbbe738a970cdac771cda92a8c50ee5b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#afbbe738a970cdac771cda92a8c50ee5b">example_training_of_ANN.metrics</a></td></tr>
<tr class="separator:afbbe738a970cdac771cda92a8c50ee5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f725f5216b920f4a046b81078334810"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a7f725f5216b920f4a046b81078334810">example_training_of_ANN.training_time</a> = time.time()</td></tr>
<tr class="memdesc:a7f725f5216b920f4a046b81078334810"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRAINING ############################.  <a href="namespaceexample__training__of___a_n_n.html#a7f725f5216b920f4a046b81078334810">More...</a><br /></td></tr>
<tr class="separator:a7f725f5216b920f4a046b81078334810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0d227232ae302736787d23214236ca7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#ad0d227232ae302736787d23214236ca7">example_training_of_ANN.history</a></td></tr>
<tr class="separator:ad0d227232ae302736787d23214236ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a632f2f476aa005d5e2efcc914425d373"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n.html#a632f2f476aa005d5e2efcc914425d373">example_training_of_ANN.y_pred</a> = model.predict(X_norm)</td></tr>
<tr class="memdesc:a632f2f476aa005d5e2efcc914425d373"><td class="mdescLeft">&#160;</td><td class="mdescRight">SAVE MODEL ############################.  <a href="namespaceexample__training__of___a_n_n.html#a632f2f476aa005d5e2efcc914425d373">More...</a><br /></td></tr>
<tr class="separator:a632f2f476aa005d5e2efcc914425d373"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_54ff30f75ea43d49e198e5be16e8be47.html">training</a></li><li class="navelem"><a class="el" href="dir_f88eb08e453a05a235cbc6b4d5da7126.html">keras</a></li><li class="navelem"><a class="el" href="example__training__of___a_n_n_8py.html">example_training_of_ANN.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
